Commet
  • Pricing
Log InTry out
Add plan to group POSTCreate plan group POSTDelete plan group DELETEGet plan group GETList plan groups GETRemove plan from group DELETEReorder plans in group PUTUpdate plan group PUT
DocumentationKnowledge BaseBuild with AIAPI ReferenceWebhooks

Get plan group

Retrieve a plan group by ID, including its plans ordered by sortOrder.

Delete plan group DELETE

Delete a plan group. Plans in the group are unlinked, not deleted.

List plan groups GET

List plan groups with cursor-based pagination.

GET
/plan-groups/{id}

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Path Parameters

id*string

Response Body

application/json

application/json

curl -X GET "https://commet.co/api/v1/plan-groups/string"

Retrieve a plan group by ID, including its plans ordered by sortOrder.

Plan group public ID

{
  "success": true,
  "data": {
    "object": "plan_group",
    "livemode": true,
    "id": "string",
    "name": "string",
    "description": "string",
    "isPublic": true,
    "plans": [
      {
        "id"







{
  "success": false,
  "error": {
    "type": "validation_error",
    "code": "string",
    "message": "string",
    "doc_url": "string",
    "param": "string"
  }
}
:
"string"
,
"name": "string",
"sortOrder": 0
}
],
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}
}